# Class DiscreteUniformGenerator

java.lang.Object
org.uncommons.maths.random.DiscreteUniformGenerator

All Implemented Interfaces:
  `NumberGenerator<Integer>`

public class DiscreteUniformGenerator extends Object implements NumberGenerator<Integer>
Discrete, uniformly distributed random sequence. Generates values between the specified minimum and maximum values (inclusive).

## Constructor Summary

Constructors
Constructor
Description
`DiscreteUniformGenerator(int minimumValue, int maximumValue, Random rng)`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`nextValue()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiscreteUniformGenerator

public DiscreteUniformGenerator(int minimumValue, int maximumValue, Random rng)

## Method Details

### nextValue

public Integer nextValue()

Specified by:
  `nextValue` in interface `NumberGenerator<Integer>`
Returns:
  The next value from the generator.